
#ifndef SPAN_GFRT_HH
#define SPAN_GFRT_HH

#include <packet.h>
#include <scheduler.h>
#include "hdr_span.h"
#include "spantable.hh"
#include "spanagent.hh"

#define SPAN_RADIO_RANGE   	250

class GFRouter {
  int find_next_hop(nsaddr_t dst);
  
  SPANAgent& _agent;
  SPANNeighborTable& _neighbors;

public:
  GFRouter(SPANAgent &a, SPANNeighborTable &t);
  // forward packet p. offsets specifie the ip, cmn, and span header offsets
  void forward_pkt(Packet *p, int ip_off, int cmn_off, int span_off);
};

#endif

