#!/usr/bin/perl

$scen = $ARGV[0];

$ifq = int(`grep \"D \" $scen.tr | grep cbr | grep IFQ | wc -l`);
$ttl = int(`grep \"D \" $scen.tr | grep cbr | grep TTL | wc -l`);
$gfh = int(`grep \"D \" $scen.tr | grep cbr | grep GFH | wc -l`);
$crd = int(`grep \"D \" $scen.tr | grep cbr | grep CRD | wc -l`);
$txf = int(`grep \"D \" $scen.tr | grep cbr | grep TXF | wc -l`);
$drp = int(`grep \"D \" $scen.tr | grep cbr | grep -v \"RCV\" | wc -l`);
$end = int(`grep \"D \" $scen.tr | grep cbr | grep END | grep cbr | wc -l`);
$mac = int(`grep \"D \" $scen.tr | grep cbr | grep MAC | wc -l`);

$drp -= $end;
$tot = $drp - $mac;

print "ifq drops:         $ifq\n";
print "end:               ($end)\n";
print "ttl drops:         $ttl\n";
print "routing holes:     $gfh\n";
print "old coordinator:   $crd\n";
print "transmit failure:  $txf\n";
print "all drops:         $drp\n";
print "mac drops:         ($mac)\n";
print "total:             $tot\n";

# can't just count the number of "s " because there are drops before they are
# even sent

$snt = int(`grep \"s \" $scen.tr | grep \"AGT\" | wc -l`);
$rcv = int(`grep \"D \" $scen.tr | grep \"RCV\" | wc -l`);
$snt -= $end;

$los = $snt - $rcv;
$lrt = $los / $snt;
print "sent:             $snt\n";
print "rcvt:             $rcv\n";
print "loss:             $los ($lrt)\n";

