#!/usr/bin/perl

my @values;
my $max = 0;
my $min = 99999;
my $sum = 0;

while (<>) {
  if ($_ =~ /^[0-9]+ ([0-9.]+)/) {
    push(@values, $1);
    if ($1 > $max) { $max = $1; }
    if ($1 < $min) { $min = $1; }
    $sum += $1;
  }
}

if ($#values >= 0) {
  $avg = $sum / ($#values+1);
  $varsum = 0;
  for (my $i=0; $i <= $#values; $i++) {
    $varsum += (($values[$i]-$avg)*($values[$i]-$avg));
  }
  $var = $varsum / ($#values+1);
  $std = sqrt($var);
  print "avg: $avg std: $std max: $max min: $min\n";
}

