#!/usr/bin/perl

my %d;

$totalLatency = 0;
$numPackets = 0;

while (<>) {
  if ($_ =~ /D ([0-9.]+) [0-9_A-Za-z ]+ RCV (\d+) cbr/) { 
    $now = $1;
    $id = $2;
    if ($d->[$id] > 10) {
      $t = 1000*($now-$d->[$id]);
      # print "$id: $t\n";
      $totalLatency += ($now-$d->[$id]);
      $numPackets++;
    }
  }
  elsif ($_ =~ /s ([0-9.]+) [0-9_]+ AGT  --- (\d+) cbr/) { 
    $now = $1;
    $id = $2;
    $d->[$id] = $now;
  }
}

$avgLatency = 1000 * $totalLatency / $numPackets;
print "avg latency:      $avgLatency\n";

