#!/usr/bin/perl

# usage: plot-scen.pl <pct-noloc> <scen-file> <output>

# cat in scen file

$n_f = "/tmp/$$.n_f";
$g_f = "/tmp/$$.g_f";

$pct_no_loc = $ARGV[0];
$scen = $ARGV[1];
$out = $ARGV[2];

$n = -1;
$x = -1;
$y = -1;

open(P, $scen);

while ($_ = <P>) {

    if (/^# nodes: (\d+).*max x: (\d+\.\d+), max y: (\d+\.\d+)/) {
	$n = $1;
	$x = $2;
	$y = $3;
    }

    if (/\$node_\((\d+)\) set X_ (\d+\.\d+)/) {
	$x_pos[$1] = $2;
    }
    if (/\$node_\((\d+)\) set Y_ (\d+\.\d+)/) {
	$y_pos[$1] = $2;
    }
}

close P;

open(N, ">$n_f") or die "fuck 1";
open(G, ">$g_f") or die "fuck 2";

for ($i = 1; $i <= $n; $i++) {
    $x1 = $x_pos[$i];
    $y1 = $y_pos[$i];

    if ($i < $n*$pct_no_loc) {
	print N "$x1\t$y1\n";
    } else {
	print G "$x1\t$y1\n";
    }
}

close N;
close G;

open(P, "| gnuplot");
print P "set terminal gif\n";
print P "set output '$out'\n";
print P "set yrange [0:$y]\n";
print P "set xrange [0:$x]\n";
for ($i = 1; $i <= $n; $i++) {
    $x1 = $x_pos[$i];
    $y1 = $y_pos[$i];
#    print P "set label \"$i\" at $x1,$y1\n";
}
print P "plot '$n_f' title 'no-loc', ";
print P "     '$g_f' title 'with-loc'\n";

close(P);
