#!/usr/bin/perl

my $fn = $ARGV[0];
shift @ARGV;

$lastACK = 0;
$backoff = 0;
$numBackoff = 0;

while (<>) {
  if ($_ =~ /^s ([0-9.]+) _[0-9]_ MAC  --- 0 MAC 44 /) { 
    if ($lastACK != 0) { 
      $backoff += ($1-$lastACK);
      $numBackoff++;
      $lastACK = 0;
    }
  }
  elsif ($_ =~ /^r ([0-9.]+) _[0-9]_ MAC  --- 0 MAC 38 \[1d/) {
    $lastACK = $1;
  }
}

$avgBackoff = $backoff / $numBackoff;
print "backoff:      $avgBackoff\n";

