#!/usr/bin/perl

my $fn = $ARGV[0];
shift @ARGV;

$lastACK = 0;
$lastRTS = 0;
$RTSlatency = 0;
$numRTS = 0;

while (<>) {
  if ($_ =~ /^s ([0-9.]+) _[0-9]_ MAC  --- 0 MAC 44 \[1b/) { 
    if ($lastACK != 0 && $lastRTS != 0) { 
      $RTSlatency += ($1-$lastRTS);
      $numRTS++;
      $lastACK = 0;
    }
    $lastRTS = $1;
  }
  elsif ($_ =~ /^r ([0-9.]+) _[0-9]_ MAC  --- 0 MAC 38 \[1d/) {
    $lastACK = $1;
  }
}

$avgRTS = $RTSlatency / $numRTS;
print "RTS spacing: $avgRTS ($numRTS)\n";

