#!/usr/bin/perl

if ($#ARGV != 1) {
    print "usage: <chain_length> <internode_dist>\n";
    exit 2;
}

$total_nodes = shift;
$distance = shift;

$total_dist = $total_dist * $distance;

printf "#
# nodes: $total_nodes, max time: 300.000000, max x: $total_dist.00, max y: 250.00, chain: $total_nodes
# nominal range: 250.00 link bw: 2000000.00
# pause: 0.00, max speed: 0.00

";

for ($i=0;$i<$total_nodes;$i++) {
	$node = $i + 1;
	$X = $i*$distance;
	$Y = 0;
	printf "\$node_($node) set X_ $X.000000000000\n";
	printf "\$node_($node) set Y_ $Y.000000000000\n";
	printf "\$node_($node) set Z_ 0.000000000000\n";
}

